﻿@model ExchangeConfirmViewModel
@{
    ViewBag.Title = $"تبدیل {Model.FromCurrencyName} به {Model.ToCurrencyName}";
}

<section class="stepsection">
    <div class="container">
        <div class="row">
            <div class="col-md-12 mb-3">
                <div class="row bs-wizard" style="border-bottom:0;">
                    <div class="col bs-wizard-step complete">
                        <div class="text-center bs-wizard-stepnum">انتخاب ارز و مقدار</div>
                        <div class="progress">
                            <div class="progress-bar"></div>
                        </div>
                        <a href="#" class="bs-wizard-dot"></a>
                    </div>
                    <div class="col bs-wizard-step complete">
                        <!-- complete -->
                        <div class="text-center bs-wizard-stepnum">ورود / ثبت نام</div>
                        <div class="progress">
                            <div class="progress-bar"></div>
                        </div>
                        <a href="#" class="bs-wizard-dot"></a>
                    </div>
                    <div class="col bs-wizard-step complete">
                        <!-- complete -->
                        <div class="text-center bs-wizard-stepnum">آدرس دریافت شما</div>
                        <div class="progress">
                            <div class="progress-bar"></div>
                        </div>
                        <a href="#" class="bs-wizard-dot"></a>
                    </div>
                    <div class="col bs-wizard-step active">
                        <!-- active -->
                        <div class="text-center bs-wizard-stepnum">تایید مبادله</div>
                        <div class="progress">
                            <div class="progress-bar"></div>
                        </div>
                        <a href="#" class="bs-wizard-dot"></a>
                    </div>
                    <div class="col bs-wizard-step disabled">
                        <!-- active -->
                        <div class="text-center bs-wizard-stepnum">پرداخت به ما</div>
                        <div class="progress">
                            <div class="progress-bar"></div>
                        </div>
                        <a href="#" class="bs-wizard-dot"></a>
                    </div>
                    <div class="col bs-wizard-step disabled">
                        <!-- active -->
                        <div class="text-center bs-wizard-stepnum">اتمام تبدیل</div>
                        <div class="progress">
                            <div class="progress-bar"></div>
                        </div>
                        <a href="#" class="bs-wizard-dot"></a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<div class="container">
    <form method="post" id="exchange-wallet" novalidate>
        @Html.AntiForgeryToken()
        <div class="row">
            <div class="col-md-12">
                <h4 class="page-title">
                    <span id="page-title">تایید نهایی</span>
                </h4>
                <div class="card" id="resultCard">
                    <div class="card-body">
                        <div class="card-block">
                            @*<h5 class="card-title">دریافت به</h5>*@
                            <input type="hidden" id="from" name="from" value="@Model.FromCurrencyId" />
                            <input type="hidden" id="to" name="to" value="@Model.ToCurrencyId" />
                            <div class="table-responsive">
                                <table class="table">
                                    <tbody>
                                        <tr>
                                            <td colspan="2" class="text-center">
                                                <div class="float-left">
                                                    <img src="/Content/img/لوگو-@(Model.FromCurrencyUrl).png" height="50" /><br />
                                                    <b>@Model.FromCurrencyName</b>
                                                </div>
                                                <span class="fa fa-angle-left fa-4x"></span><span class="fa fa-angle-left fa-4x"></span><span class="fa fa-angle-left fa-4x"></span>
                                                <div class="float-right">
                                                    <img src="/Content/img/لوگو-@(Model.ToCurrencyUrl).png" height="50" /><br />
                                                    <b>@Model.ToCurrencyName</b>
                                                </div>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <span>نرخ تقریبی تبدیل</span>
                                            </td>
                                            <td id="rateContainer"></td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <span>مقدار پرداخت</span>
                                            </td>
                                            <td id="payContainer">
                                                @if (Model.FromCurrencyUnitSign == "تومان")
                                                {
                                                    <span>@Model.FromAmount.ToPriceWithoutFloat() تومان</span>
                                                }
                                                else
                                                {
                                                    <span>@Model.FromAmount.ToBlockChainPrice() @Model.FromCurrencyUnitSign</span>
                                                }
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <span>مقدار دریافت <small style="color:#ccc">(بدون احتساب هزینه انتقال)</small></span>
                                            </td>
                                            <td id="receiveContainer">
                                                @if (Model.ToCurrencyUnitSign == "تومان")
                                                {
                                                    <span>@Model.ToAmount.ToPriceWithoutFloat() تومان</span>
                                                }
                                                else
                                                {
                                                    <span>@Model.ToAmount.ToBlockChainPrice() @Model.ToCurrencyUnitSign</span>
                                                }
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <span>هزینه تقریبی انتقال</span>
                                            </td>
                                            <td>
                                                @if (Model.ToCurrencyUnitSign == "تومان")
                                                {
                                                    <span id="feeContainer">@Model.ToCurrencyTransactionFee.ToPriceWithoutFloat() تومان</span>
                                                }
                                                else
                                                {
                                                    if (Model.ToCurrencyIsFiat)
                                                    {
                                                        <span id="feeContainer">+ %@Model.ToCurrencyTransactionFee.ToBlockChainPrice()</span>
                                                    }
                                                    else
                                                    {
                                                        <span id="feeContainer">@Model.ToCurrencyTransactionFee.ToBlockChainPrice() @Model.ToCurrencyUnitSign</span>
                                                    }
                                                }
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>مقدار دریافتی نهایی <small style="color:#ccc">(با احتساب هزینه انتقال)</small></td>
                                            <td>
                                                @if (Model.ToCurrencyUnitSign == "تومان")
                                                {
                                                    <span id="finalReceiveContainer">@((Model.ToAmount - Model.ToCurrencyTransactionFee).ToPriceWithoutFloat()) تومان</span>
                                                }
                                                else
                                                {
                                                    <span id="finalReceiveContainer">@((Model.ToAmount - Model.ToCurrencyTransactionFee).ToBlockChainPrice()) @Model.ToCurrencyUnitSign</span>
                                                }
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <span>زمان تقریبی تبدیل</span>
                                            </td>
                                            <td>
                                                <span>≈ </span>
                                                @if (Model.ToCurrencyType == Xtoman.Domain.Models.ECurrencyType.Shetab)
                                                {
                                                    <span>6 الی 24 ساعت به صورت پایا و یا ساتنا</span>
                                                }
                                                else
                                                {
                                                    if (Model.ToCurrencyType == Xtoman.Domain.Models.ECurrencyType.PerfectMoney || Model.ToCurrencyType == Xtoman.Domain.Models.ECurrencyType.PerfectMoneyVoucher)
                                                    {
                                                        <span>یک دقیقه</span>
                                                    }
                                                    else
                                                    {
                                                        <span>5 الی 30 دقیقه</span><br />
                                                        @*<span style="color:#ff0000">موقتا به علت انجام بعضی تغییرات ممکن است این سفارش با کمی تاخیر انجام شود.</span>*@
                                                    }
                                                }
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                @if (Model.ToCurrencyType == Xtoman.Domain.Models.ECurrencyType.Shetab)
                                                {
                                                    <span>شماره کارت و نام بانک</span>
                                                }
                                                else
                                                {
                                                    <span>آدرس کیف پول @Model.ToCurrencyName</span>
                                                }
                                            </td>
                                            <td>
                                                @if (Model.WalletAddress.HasValue() || Model.CardNumber.HasValue())
                                                {
                                                    if (Model.ToCurrencyType == Xtoman.Domain.Models.ECurrencyType.Shetab)
                                                    {
                                                        <span>@Model.CardNumber (@Model.BankName)</span>
                                                    }
                                                    else
                                                    {
                                                        <span>@Model.WalletAddress</span>
                                                    }
                                                }
                                                else {
                                                    <span>دریافت کد</span>
                                                }
                                            </td>
                                        </tr>
                                        @if (Model.Memo.HasValue() || Model.ShebaNumber.HasValue())
                                        {
                                            <tr>
                                                <td>
                                                    @if (Model.ToCurrencyType == Xtoman.Domain.Models.ECurrencyType.Shetab)
                                                    {
                                                        <span>شماره شبا شما</span>
                                                    }
                                                    else
                                                    {
                                                        <span>@Model.ToCurrencyMemoName</span>
                                                    }
                                                </td>
                                                <td>
                                                    @if (Model.ToCurrencyType == Xtoman.Domain.Models.ECurrencyType.Shetab)
                                                    {
                                                        <span>@Model.ShebaNumber</span>
                                                    }
                                                    else
                                                    {
                                                        <span>@Model.Memo</span>
                                                    }
                                                </td>
                                            </tr>
                                        }
                                        <tr>
                                            <td>مهلت تایید</td>
                                            <td>2 دقیقه <br /><small style="color:#ccc;">در صورت تایید نکردن سفارش تا قبل از مهلت یا اتمام موجودی در این فاصله، به مرحله اول بازگشت داده خواهید شد.</small></td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-4 push-md-8">
                <button class="btn btn-lead btn-lg btn-block" id="submitBtn" type="submit">تایید و پرداخت <span class="fa fa-angle-left"></span></button>
            </div>
        </div>
    </form>
</div>


@section scripts{
    <script type="text/javascript">
        var isSent = false;
        $('#exchange-wallet').submit(function (e) {
            $('#submitBtn').addClass('disabled');
            if (!isSent) {
                isSent = true;
            } else {
                e.preventDefault();
            }
        });
        var rateUrl = "@Url.Action("Rate","Exchange")";
        isFromAmount = @(Model.IsFrom ? "true":"false");
        toUnitSign = "@Model.ToCurrencyUnitSign";
        fromUnitSign = "@Model.FromCurrencyUnitSign";
        var amount = @(Model.IsFrom ? Model.FromAmount : Model.ToAmount);
        //$(document).ready(function () {
        //    getExchangeRate();
        //});
    </script>
}